package sop_task

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"

	"wechat-api/internal/logic/sop_task"
	"wechat-api/internal/svc"
	"wechat-api/internal/types"
)

// swagger:route post /sop_task/generate_ai_answer sop_task GenerateAiAnswer
//
// 根据内容生成AI回答
//
// 根据内容生成AI回答
//
// Parameters:
//  + name: body
//    require: true
//    in: body
//    type: GenerateAiAnswerReq
//
// Responses:
//  200: GenerateAiAnswerResp

func GenerateAiAnswerHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.GenerateAiAnswerReq
		if err := httpx.Parse(r, &req, true); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := sop_task.NewGenerateAiAnswerLogic(r.Context(), svcCtx)
		resp, err := l.GenerateAiAnswer(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
